Package com.sas.lsaf.workflow.element

## Class CompletedElement

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `CompletedEvent`, `CompletedTask`

      public abstract class CompletedElement
      extends AbstractIdentifiable

  The abstract class that represents a completed element of a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CompletedElement.TaskCompletedState` | The completed states of the element.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedElement​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.lang.String completedBy, java.util.Date completed, CompletedElement.TaskCompletedState completedState)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getCompleted()` | Gets the date on which the completed element was completed.
    `java.lang.String` | `getCompletedBy()` | Gets the user who completed this element.
    `CompletedElement.TaskCompletedState` | `getCompletedState()` | Gets the completed state of the element.
    `java.util.Date` | `getCreated()` | Gets the date on which the completed element was created.
    `java.lang.String` | `getDescription()` | Gets the description of the completed element.
    `java.lang.String` | `getElementId()` | Gets the identifier of the completed element as it appears in the process flow definition.
    `java.lang.String` | `getName()` | Gets the name of the completed element.
    `java.lang.String` | `getProcessFlowId()` | Gets the identifier of the process flow that contains the element.
    `Element.ElementType` | `getType()` | Gets the type of the completed element.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedElement

          public CompletedElement​(java.lang.String typeId,
                                  java.lang.String id,
                                  java.lang.String elementId,
                                  java.lang.String processFlowId,
                                  java.lang.String name,
                                  java.lang.String description,
                                  Element.ElementType type,
                                  java.util.Date created,
                                  java.lang.String completedBy,
                                  java.util.Date completed,
                                  CompletedElement.TaskCompletedState completedState)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed elements returned by the API.
      Parameters:
        `typeId` - The object type identifier of the element.
        `id` - The unique identifier of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the element.
        `description` - The description of the element.
        `type` - The type of the element.
        `created` - The date on which the element was created.
        `completedBy` - The user who completed the element.
        `completed` - The date on which the element was completed.
        `completedState` - The completed state of the element

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the completed element.
      Returns:
        The name.

    - #### getElementId

          public java.lang.String getElementId()

      Gets the identifier of the completed element as it appears in the process flow definition.
      Returns:
        The identifier of the completed element.

    - #### getProcessFlowId

          public java.lang.String getProcessFlowId()

      Gets the identifier of the process flow that contains the element.
      Returns:
        Returns the process flow identifier.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the completed element.
      Returns:
        The description.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the completed element was created.
      Returns:
        The created date.

    - #### getCompleted

          public java.util.Date getCompleted()

      Gets the date on which the completed element was completed.
      Returns:
        The completed date.

    - #### getCompletedBy

          public java.lang.String getCompletedBy()

      Gets the user who completed this element.
      Returns:
        The user.

    - #### getCompletedState

          public CompletedElement.TaskCompletedState getCompletedState()

      Gets the completed state of the element.
      Returns:
        The completed state.

    - #### getType

          public Element.ElementType getType()

      Gets the type of the completed element.
      Returns:
        The type.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`